/*
   esqlc.h ---

   This TCL-extension is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Written by Joachim Siebold <joachim.siebold@cityweb.de>
   based on DBD::Informix (Copyright J. Leffler and others)

   $Header: /home/cvs/informixtcl/esqlc.h,v 1.2 2000/03/18 18:25:31 achim Exp $
   $Log: esqlc.h,v $
   Revision 1.2  2000/03/18 18:25:31  achim
   Introduced CVS Keywords

*/         

#ifndef ESQLC_H
#define ESQLC_H

#ifdef MAIN_PROGRAM
#ifndef lint
static const char esqlc_h[] = "@(#)$Id: esqlc.h,v 1.2 2000/03/18 18:25:31 achim Exp $";
#endif	/* lint */
#endif	/* MAIN_PROGRAM */

/* Backwards compatability -- will be removed after 1st January 1998.  */
#ifndef ESQLC_VERSION
#ifdef ESQLC_7_00
#define ESQLC_VERSION 700
#endif /* ESQLC_7_00 */
#ifdef ESQLC_7_10
#define ESQLC_VERSION 710
#endif /* ESQLC_7_10 */
#ifdef ESQLC_7_20
#define ESQLC_VERSION 720
#endif /* ESQLC_7_20 */
#ifdef ESQLC_7_24
#define ESQLC_VERSION 724
#endif /* ESQLC_7_24 */
#endif /* ESQLC_VERSION */

/* If it still isn't defined, use version 0 */
#ifndef ESQLC_VERSION
#define ESQLC_VERSION 0
#endif /* ESQLC_VERSION */

/*
** On DEC OSF/1 and 64-bits machines, __STDC__ is not necessarily defined,
** but the use of prototypes is necessary under optimization to ensure that
** pointers are treated correctly (sizeof(void *) != sizeof(int)).
** The <sqlhdr.h> prototypes for version 6.00 and above are only active if
** __STDC__ is defined (whether 1 or 0 or something else does not matter).
** Ensure that the compilation options set __STDC__.
*/

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* -- Include Files	*/

#include <datetime.h>
#include <decimal.h>
#include <locator.h>
#include <sqlca.h>
#include <sqlda.h>
#include <sqlstype.h>
#include <sqltypes.h>
#include <sqlhdr.h>

/* -- Constant Definitions */

/* A table name may be: database@server:"owner".table */
/* This contains 5 punctuation characters and a null */
#define SQL_NAMELEN	18
#define SQL_USERLEN	8
#define SQL_TABNAMELEN	(3 * SQL_NAMELEN + SQL_USERLEN + 6)

#define loc_mode	lc_union.lc_file.lc_mode
#define sqlva		sqlvar_struct

/* -- Type Definitions */

typedef loc_t	        Blob;
typedef struct decimal	Decimal;
typedef struct dtime	Datetime;
typedef struct intrvl	Interval;
typedef struct sqlca_s	Sqlca;
typedef struct sqlda	Sqlda;
typedef struct sqlva	Sqlva;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	/* ESQLC_H */
